Bug 226275 - [NEW PORT] devel/pear-channel-geshi: PEAR channel for GeSHi (syntax highlighter)
Summary: [NEW PORT] devel/pear-channel-geshi: PEAR channel for GeSHi (syntax highlighter)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-01 11:45 UTC by Michael Osipov
Modified: 2018-09-17 17:32 UTC (History)
2 users (show)

See Also:


Attachments
SHAR file (2.33 KB, text/plain)
2018-03-01 11:45 UTC, Michael Osipov
no flags Details
SHAR file (2.32 KB, text/plain)
2018-03-01 13:15 UTC, Michael Osipov
no flags Details
SHAR file (2.35 KB, text/plain)
2018-03-01 15:12 UTC, Michael Osipov
no flags Details
Patch against /usr/ports/devel (3.00 KB, patch)
2018-09-05 21:40 UTC, Michael Osipov
no flags Details | Diff
Patch against /usr/ports/devel (2.90 KB, patch)
2018-09-12 19:57 UTC, Michael Osipov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2018-03-01 11:45:38 UTC
Created attachment 191096 [details]
SHAR file

Simple PEAR channel for GeSHi. This is a prerequisite to maintain GeSHi through pear. Follow up port pending.
Comment 1 Michael Osipov 2018-03-01 13:15:56 UTC
Created attachment 191099 [details]
SHAR file
Comment 2 Michael Osipov 2018-03-01 15:00:57 UTC
Just noticed, this requires running portlint first. Pending...
Comment 3 Michael Osipov 2018-03-01 15:12:30 UTC
Created attachment 191104 [details]
SHAR file

Portlint says:

WARN: Makefile: no MASTER_SITES found. is it ok?
0 fatal errors and 1 warning found.
Comment 4 Michael Osipov 2018-09-05 21:40:37 UTC
Created attachment 196901 [details]
Patch against /usr/ports/devel

Tested successfully with

* poudriere testport -j 104-release -p development -o devel/pear-channel-geshi@php72
* poudriere testport -j 104-release -p development -o devel/pear-channel-geshi@php71
 poudriere testport -j 104-release -p development -o devel/pear-channel-geshi@php70
 poudriere testport -j 104-release -p development -o devel/pear-channel-geshi@php56

* poudriere testport -j 112-release -p development -o devel/pear-channel-geshi@php72
* poudriere testport -j 112-release -p development -o devel/pear-channel-geshi@php71
 poudriere testport -j 112-release -p development -o devel/pear-channel-geshi@php70
 poudriere testport -j 112-release -p development -o devel/pear-channel-geshi@php56
Comment 5 Michael Osipov 2018-09-12 19:57:48 UTC
Created attachment 197062 [details]
Patch against /usr/ports/devel

Update maintainer
Comment 6 commit-hook freebsd_committer 2018-09-16 00:24:00 UTC
A commit references this bug:

Author: jmd
Date: Sun Sep 16 00:23:02 UTC 2018
New revision: 479875
URL: https://svnweb.freebsd.org/changeset/ports/479875

Log:
  new port: devel/pear-channel-geshi: PEAR channel for GeSHi.

  Required to maintain GeSHi through PEAR.

  PR:		226275
  Submitted by:	michael.osipov@siemens.com (maintainer)

Changes:
  head/devel/Makefile
  head/devel/pear-channel-geshi/
  head/devel/pear-channel-geshi/Makefile
  head/devel/pear-channel-geshi/files/
  head/devel/pear-channel-geshi/files/pear.geshi.org.reg
  head/devel/pear-channel-geshi/pkg-descr
Comment 7 Michael Osipov 2018-09-17 17:32:04 UTC
Fixed, thanks a million.